#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mt76x2_read_rx_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_rate_power, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_power_info, "_gpl", "");
KSYMTAB_FUNC(mt76x2_get_temp_comp, "_gpl", "");
KSYMTAB_FUNC(mt76x2_eeprom_init, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mac_stop, "_gpl", "");
KSYMTAB_FUNC(mt76x2_set_sar_specs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_reset_wlan, "_gpl", "");
KSYMTAB_FUNC(mt76_write_mac_initvals, "_gpl", "");
KSYMTAB_FUNC(mt76x2_init_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_apply_gain_adj, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower_regs, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_set_txpower, "_gpl", "");
KSYMTAB_FUNC(mt76x2_configure_tx_delay, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_tssi_compensate, "_gpl", "");
KSYMTAB_FUNC(mt76x2_phy_update_channel_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_set_channel, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_load_cr, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_init_gain, "_gpl", "");
KSYMTAB_FUNC(mt76x2_mcu_tssi_comp, "_gpl", "");

SYMBOL_CRC(mt76x2_read_rx_gain, 0x49361e99, "_gpl");
SYMBOL_CRC(mt76x2_get_rate_power, 0x03d9d542, "_gpl");
SYMBOL_CRC(mt76x2_get_power_info, 0x90a5e79d, "_gpl");
SYMBOL_CRC(mt76x2_get_temp_comp, 0x62d1afdf, "_gpl");
SYMBOL_CRC(mt76x2_eeprom_init, 0x9f92abcc, "_gpl");
SYMBOL_CRC(mt76x2_mac_stop, 0xe6f4d496, "_gpl");
SYMBOL_CRC(mt76x2_set_sar_specs, 0xc35b86ad, "_gpl");
SYMBOL_CRC(mt76x2_reset_wlan, 0xbbe74891, "_gpl");
SYMBOL_CRC(mt76_write_mac_initvals, 0xbb1787ca, "_gpl");
SYMBOL_CRC(mt76x2_init_txpower, 0x70ea7312, "_gpl");
SYMBOL_CRC(mt76x2_apply_gain_adj, 0xc5ec119b, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower_regs, 0xb6131d0b, "_gpl");
SYMBOL_CRC(mt76x2_phy_set_txpower, 0x3eded7f4, "_gpl");
SYMBOL_CRC(mt76x2_configure_tx_delay, 0xe39f8255, "_gpl");
SYMBOL_CRC(mt76x2_phy_tssi_compensate, 0x1172e047, "_gpl");
SYMBOL_CRC(mt76x2_phy_update_channel_gain, 0xfa27a6bd, "_gpl");
SYMBOL_CRC(mt76x2_mcu_set_channel, 0xe3f057f1, "_gpl");
SYMBOL_CRC(mt76x2_mcu_load_cr, 0x5f09d32a, "_gpl");
SYMBOL_CRC(mt76x2_mcu_init_gain, 0x2760ac63, "_gpl");
SYMBOL_CRC(mt76x2_mcu_tssi_comp, 0xdf486eb1, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x538f32f2, "cfg80211_chandef_valid" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x49f4b5bd, "mt76x02_ext_pa_enabled" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x7039c360, "mt76x02_get_efuse_data" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x48e0a34c, "mt76x02_get_rx_gain" },
	{ 0x75fef85d, "mt76x02_add_rate_power_offset" },
	{ 0xa84a2352, "mt76_eeprom_init" },
	{ 0xbee8f012, "_dev_err" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0xaeda56bc, "mt76x02_eeprom_parse_hw_cap" },
	{ 0xbc6d92a8, "mt76_mcu_send_and_get_msg" },
	{ 0xe569544e, "mt76_eeprom_override" },
	{ 0x89df35c2, "mt76x02_get_lna_gain" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x671306b6, "mt76_get_sar_power" },
	{ 0x48e243a8, "mt76x02_eeprom_copy" },
	{ 0x09eee1c4, "mt76x02_mcu_calibrate" },
	{ 0xa3b03ee9, "mt76x02_phy_set_txpower" },
	{ 0xad5d3ba8, "mt76x02_get_max_rate_power" },
	{ 0x93c479bc, "mt76x02_limit_rate_power" },
	{ 0x6042a1f1, "mt76_get_min_avg_rssi" },
	{ 0xa881d053, "mt76_init_sar_power" },
	{ 0x4025aaea, "mt76x02_phy_adjust_vga_gain" },
	{ 0xc674ffa8, "mt76x02_phy_dfs_adjust_agc" },
	{ 0x637174de, "devm_kmalloc" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "cfg80211,mt76x02-lib,mt76");


MODULE_INFO(srcversion, "80F7976F489C71A568DEF6A");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
