#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rt2800_mcu_request, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_csr_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_wait_wpdma_ready, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_wpdma, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_txwi_rxwi_size, "_gpl", "");
KSYMTAB_FUNC(rt2800_check_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_load_firmware, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_tx_data, "_gpl", "");
KSYMTAB_FUNC(rt2800_process_rxwi, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_entry, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_timeout, "_gpl", "");
KSYMTAB_FUNC(rt2800_txstatus_pending, "_gpl", "");
KSYMTAB_FUNC(rt2800_txdone_nostatus, "_gpl", "");
KSYMTAB_FUNC(rt2800_watchdog, "_gpl", "");
KSYMTAB_FUNC(rt2800_write_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_clear_beacon, "_gpl", "");
KSYMTAB_FUNC(rt2800_rfkill_poll, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_shared_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_pairwise_key, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_add, "_gpl", "");
KSYMTAB_FUNC(rt2800_sta_remove, "_gpl", "");
KSYMTAB_FUNC(rt2800_pre_reset_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_filter, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_intf, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_erp, "_gpl", "");
KSYMTAB_FUNC(rt2800_config_ant, "_gpl", "");
KSYMTAB_FUNC(rt2800_gain_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_vco_calibration, "_gpl", "");
KSYMTAB_FUNC(rt2800_config, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_stats, "_gpl", "");
KSYMTAB_FUNC(rt2800_reset_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_link_tuner, "_gpl", "");
KSYMTAB_FUNC(rt2800_enable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_disable_radio, "_gpl", "");
KSYMTAB_FUNC(rt2800_efuse_detect, "_gpl", "");
KSYMTAB_FUNC(rt2800_read_eeprom_efuse, "_gpl", "");
KSYMTAB_FUNC(rt2800_probe_hw, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_key_seq, "_gpl", "");
KSYMTAB_FUNC(rt2800_set_rts_threshold, "_gpl", "");
KSYMTAB_FUNC(rt2800_conf_tx, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_tsf, "_gpl", "");
KSYMTAB_FUNC(rt2800_ampdu_action, "_gpl", "");
KSYMTAB_FUNC(rt2800_get_survey, "_gpl", "");

SYMBOL_CRC(rt2800_mcu_request, 0x8455baf9, "_gpl");
SYMBOL_CRC(rt2800_wait_csr_ready, 0xb00403a2, "_gpl");
SYMBOL_CRC(rt2800_wait_wpdma_ready, 0x8a2bc1a9, "_gpl");
SYMBOL_CRC(rt2800_disable_wpdma, 0xb9a99872, "_gpl");
SYMBOL_CRC(rt2800_get_txwi_rxwi_size, 0xeaee0895, "_gpl");
SYMBOL_CRC(rt2800_check_firmware, 0xb3640421, "_gpl");
SYMBOL_CRC(rt2800_load_firmware, 0x89860999, "_gpl");
SYMBOL_CRC(rt2800_write_tx_data, 0x6aa3e51e, "_gpl");
SYMBOL_CRC(rt2800_process_rxwi, 0x9a4e7346, "_gpl");
SYMBOL_CRC(rt2800_txdone_entry, 0x296c0e28, "_gpl");
SYMBOL_CRC(rt2800_txdone, 0xa41f71f0, "_gpl");
SYMBOL_CRC(rt2800_txstatus_timeout, 0x3336420b, "_gpl");
SYMBOL_CRC(rt2800_txstatus_pending, 0x81c7268a, "_gpl");
SYMBOL_CRC(rt2800_txdone_nostatus, 0x411df445, "_gpl");
SYMBOL_CRC(rt2800_watchdog, 0xd12b6115, "_gpl");
SYMBOL_CRC(rt2800_write_beacon, 0x749b8dc1, "_gpl");
SYMBOL_CRC(rt2800_clear_beacon, 0xd9f12403, "_gpl");
SYMBOL_CRC(rt2800_rfkill_poll, 0x6e3411e0, "_gpl");
SYMBOL_CRC(rt2800_config_shared_key, 0x4fbaf297, "_gpl");
SYMBOL_CRC(rt2800_config_pairwise_key, 0x0505ef57, "_gpl");
SYMBOL_CRC(rt2800_sta_add, 0x0ddb7a05, "_gpl");
SYMBOL_CRC(rt2800_sta_remove, 0x941cab79, "_gpl");
SYMBOL_CRC(rt2800_pre_reset_hw, 0x5340bc08, "_gpl");
SYMBOL_CRC(rt2800_config_filter, 0x05c74f37, "_gpl");
SYMBOL_CRC(rt2800_config_intf, 0x1169470c, "_gpl");
SYMBOL_CRC(rt2800_config_erp, 0xad79c8b1, "_gpl");
SYMBOL_CRC(rt2800_config_ant, 0xa20b3129, "_gpl");
SYMBOL_CRC(rt2800_gain_calibration, 0x27709a66, "_gpl");
SYMBOL_CRC(rt2800_vco_calibration, 0xcc07dc21, "_gpl");
SYMBOL_CRC(rt2800_config, 0x964d5234, "_gpl");
SYMBOL_CRC(rt2800_link_stats, 0x4a1c2121, "_gpl");
SYMBOL_CRC(rt2800_reset_tuner, 0x62a5c0b7, "_gpl");
SYMBOL_CRC(rt2800_link_tuner, 0xfa599a69, "_gpl");
SYMBOL_CRC(rt2800_enable_radio, 0xde315b0b, "_gpl");
SYMBOL_CRC(rt2800_disable_radio, 0x496eec65, "_gpl");
SYMBOL_CRC(rt2800_efuse_detect, 0xdd65653a, "_gpl");
SYMBOL_CRC(rt2800_read_eeprom_efuse, 0xb3210c4f, "_gpl");
SYMBOL_CRC(rt2800_probe_hw, 0xfa7e9976, "_gpl");
SYMBOL_CRC(rt2800_get_key_seq, 0xe811a13e, "_gpl");
SYMBOL_CRC(rt2800_set_rts_threshold, 0x9f76dbc1, "_gpl");
SYMBOL_CRC(rt2800_conf_tx, 0x8960440a, "_gpl");
SYMBOL_CRC(rt2800_get_tsf, 0x8237b11c, "_gpl");
SYMBOL_CRC(rt2800_ampdu_action, 0xdb406f69, "_gpl");
SYMBOL_CRC(rt2800_get_survey, 0x371fcb1c, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x1b11134f, "_dev_warn" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x3e446cb1, "skb_push" },
	{ 0xee38a411, "dev_kfree_skb_any_reason" },
	{ 0x58311d41, "__skb_pad" },
	{ 0xb238604d, "rt2x00lib_txdone_noinfo" },
	{ 0xfccfcc44, "ieee80211_restart_hw" },
	{ 0xd6d3de0d, "skb_pull" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x60eefe35, "_dev_info" },
	{ 0x14fdd071, "rt2x00lib_set_mac_address" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xec4d9e3a, "clk_get_sys" },
	{ 0x2e1ca751, "clk_put" },
	{ 0x1bb837e1, "param_ops_uint" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf9a482f9, "msleep" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0xbee8f012, "_dev_err" },
	{ 0x52ecbc75, "crc_ccitt" },
	{ 0x56470118, "__warn_printk" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba6f5081, "rt2x00lib_txdone_nomatch" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xde05b227, "rt2x00lib_txdone" },
	{ 0xbc9bc6f5, "__dynamic_dev_dbg" },
	{ 0x5b471e89, "rt2x00queue_get_entry" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xb8102ed6, "rt2x00lib_get_bssidx" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x556e4390, "clk_get_rate" },
	{ 0xeae3dfd6, "__const_udelay" },
	{ 0x1d8e58fb, "rt2x00mac_conf_tx" },
	{ 0xafb9dae1, "ieee80211_stop_tx_ba_cb_irqsafe" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "rt2x00lib,mac80211");


MODULE_INFO(srcversion, "FB782670CE4098FB49520E9");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
