#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(gether_setup_name, "_gpl", "");
KSYMTAB_FUNC(gether_setup_name_default, "_gpl", "");
KSYMTAB_FUNC(gether_register_netdev, "_gpl", "");
KSYMTAB_FUNC(gether_set_gadget, "_gpl", "");
KSYMTAB_FUNC(gether_set_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_dev_addr, "_gpl", "");
KSYMTAB_FUNC(gether_set_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_cdc, "_gpl", "");
KSYMTAB_FUNC(gether_get_host_addr_u8, "_gpl", "");
KSYMTAB_FUNC(gether_set_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_qmult, "_gpl", "");
KSYMTAB_FUNC(gether_get_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_set_ifname, "_gpl", "");
KSYMTAB_FUNC(gether_suspend, "_gpl", "");
KSYMTAB_FUNC(gether_resume, "_gpl", "");
KSYMTAB_FUNC(gether_cleanup, "_gpl", "");
KSYMTAB_FUNC(gether_connect, "_gpl", "");
KSYMTAB_FUNC(gether_disconnect, "_gpl", "");

SYMBOL_CRC(gether_setup_name, 0x1f23ed5d, "_gpl");
SYMBOL_CRC(gether_setup_name_default, 0xd37fadc4, "_gpl");
SYMBOL_CRC(gether_register_netdev, 0xd19446b4, "_gpl");
SYMBOL_CRC(gether_set_gadget, 0xd1ab8bc1, "_gpl");
SYMBOL_CRC(gether_set_dev_addr, 0xb104059e, "_gpl");
SYMBOL_CRC(gether_get_dev_addr, 0xec918739, "_gpl");
SYMBOL_CRC(gether_set_host_addr, 0x5cacba5b, "_gpl");
SYMBOL_CRC(gether_get_host_addr, 0x16175059, "_gpl");
SYMBOL_CRC(gether_get_host_addr_cdc, 0xc90d9241, "_gpl");
SYMBOL_CRC(gether_get_host_addr_u8, 0xe4ec75d8, "_gpl");
SYMBOL_CRC(gether_set_qmult, 0x5c0525cd, "_gpl");
SYMBOL_CRC(gether_get_qmult, 0x8648f4b8, "_gpl");
SYMBOL_CRC(gether_get_ifname, 0x6071130a, "_gpl");
SYMBOL_CRC(gether_set_ifname, 0xaa09857f, "_gpl");
SYMBOL_CRC(gether_suspend, 0xe0a5f548, "_gpl");
SYMBOL_CRC(gether_resume, 0x87b6be58, "_gpl");
SYMBOL_CRC(gether_cleanup, 0x8878cfa6, "_gpl");
SYMBOL_CRC(gether_connect, 0x5864babf, "_gpl");
SYMBOL_CRC(gether_disconnect, 0x455eaa6f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x34db050b, "_raw_spin_lock_irqsave" },
	{ 0xd35cce70, "_raw_spin_unlock_irqrestore" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x11089ac7, "_ctype" },
	{ 0x754d539c, "strlen" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7673e7f6, "usb_ep_queue" },
	{ 0xee38a411, "dev_kfree_skb_any_reason" },
	{ 0x15ba50a6, "jiffies" },
	{ 0xbc9bc6f5, "__dynamic_dev_dbg" },
	{ 0xe6055e88, "usb_func_wakeup" },
	{ 0x14454ed0, "usb_gadget_wakeup" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xd152cd3f, "usb_ep_disable" },
	{ 0xbcf61715, "usb_ep_enable" },
	{ 0xbdec3596, "dev_addr_mod" },
	{ 0xb9678939, "register_netdev" },
	{ 0x60eefe35, "_dev_info" },
	{ 0xfe469ae3, "netif_carrier_off" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x96848186, "scnprintf" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x349cba85, "strchr" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x4474aa7e, "unregister_netdev" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbd4c6168, "free_netdev" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xbee8f012, "_dev_err" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x0c248ec5, "alloc_etherdev_mqs" },
	{ 0x1b11134f, "_dev_warn" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x970607ff, "usb_ep_free_request" },
	{ 0x8ca7011c, "usb_ep_alloc_request" },
	{ 0xd1cc38b1, "netif_tx_wake_queue" },
	{ 0x6faed072, "__netdev_alloc_skb" },
	{ 0x8427cc7b, "_raw_spin_lock_irq" },
	{ 0x4b750f53, "_raw_spin_unlock_irq" },
	{ 0xc046e077, "netif_carrier_on" },
	{ 0xd8b40395, "skb_put" },
	{ 0xb4f6d03b, "skb_dequeue" },
	{ 0xdddebf9e, "skb_queue_tail" },
	{ 0x9bc9410f, "eth_type_trans" },
	{ 0x378ebe09, "netif_rx" },
	{ 0x02dcac8f, "eth_mac_addr" },
	{ 0x9be46a81, "eth_validate_addr" },
	{ 0x337f4d76, "ethtool_op_get_link" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "libcomposite");


MODULE_INFO(srcversion, "F05D924038C656E4F6E6FBB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
