#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(esp6_output_head, "_gpl", "");
KSYMTAB_FUNC(esp6_output_tail, "_gpl", "");
KSYMTAB_FUNC(esp6_input_done2, "_gpl", "");

SYMBOL_CRC(esp6_output_head, 0xc06ea0df, "_gpl");
SYMBOL_CRC(esp6_output_tail, 0xee2ba27c, "_gpl");
SYMBOL_CRC(esp6_input_done2, 0x9a6a1840, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x69acdf38, "memcpy" },
	{ 0x37a02412, "xfrm_aalg_get_byname" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x6b863002, "crypto_aead_setauthsize" },
	{ 0x726d40ca, "crypto_aead_setkey" },
	{ 0x037a0cba, "kfree" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0xb4e2f936, "xfrm_state_lookup" },
	{ 0x43d65fb2, "make_kuid" },
	{ 0x8521dae6, "ip6_update_pmtu" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x32efb49b, "__xfrm_state_destroy" },
	{ 0x4fb92a7c, "ip6_redirect" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xe229fc1c, "napi_pp_put_page" },
	{ 0x88db4bda, "__folio_put" },
	{ 0x6a828dde, "skb_copy_bits" },
	{ 0xdc8e18e1, "ipv6_skip_exthdr" },
	{ 0x81f1e5b7, "km_new_mapping" },
	{ 0x2031bec3, "skb_pull_rcsum" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x8411ae75, "___pskb_trim" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x027ae699, "xfrm_input_resume" },
	{ 0x56b968f4, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xff2aca39, "skb_to_sgvec" },
	{ 0xc23bf3b8, "crypto_aead_decrypt" },
	{ 0x3e446cb1, "skb_push" },
	{ 0x4512844c, "__pskb_pull_tail" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0xc5afdf8a, "__inet6_lookup_established" },
	{ 0x89fa8ffd, "tcp_is_ulp_esp" },
	{ 0x98085f4a, "sk_free" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xde8f1d42, "espintcp_push_skb" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5cf321ac, "espintcp_queue_out" },
	{ 0x1f6d3aeb, "sk_skb_reason_drop" },
	{ 0x2c0fa7fe, "pskb_put" },
	{ 0xfb578fc5, "memset" },
	{ 0x2d540085, "skb_page_frag_refill" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0xf6eca5c6, "xfrm_dev_resume" },
	{ 0x03e5f80c, "xfrm_output_resume" },
	{ 0xe8aa05b1, "__skb_ext_del" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0x66564447, "xfrm_trans_queue_net" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x49cf4e92, "crypto_aead_encrypt" },
	{ 0xa3af48d9, "xfrm_state_mtu" },
	{ 0xaf2d01f8, "xfrm6_rcv" },
	{ 0x1941e0c9, "xfrm_input" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x64ea1552, "skb_checksum" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0x99de5163, "xfrm_register_type" },
	{ 0x92997ed8, "_printk" },
	{ 0x17fc530a, "xfrm6_protocol_register" },
	{ 0xd0620221, "xfrm_unregister_type" },
	{ 0x6b7ca4c4, "crypto_destroy_tfm" },
	{ 0x226c693c, "xfrm6_protocol_deregister" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xe043ab77, "crypto_alloc_aead" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "xfrm_algo");


MODULE_INFO(srcversion, "419715B60E21C52507340DB");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
