#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(mpls_output_possible, "_gpl", "");
KSYMTAB_FUNC(mpls_dev_mtu, "_gpl", "");
KSYMTAB_FUNC(mpls_pkt_too_big, "_gpl", "");
KSYMTAB_FUNC(mpls_stats_inc_outucastpkts, "_gpl", "");
KSYMTAB_FUNC(nla_put_labels, "_gpl", "");
KSYMTAB_FUNC(nla_get_labels, "_gpl", "");

SYMBOL_CRC(mpls_output_possible, 0xf9e9b8ec, "_gpl");
SYMBOL_CRC(mpls_dev_mtu, 0x0aefca74, "_gpl");
SYMBOL_CRC(mpls_pkt_too_big, 0xe37dc1e7, "_gpl");
SYMBOL_CRC(mpls_stats_inc_outucastpkts, 0xdfc848b0, "_gpl");
SYMBOL_CRC(nla_put_labels, 0x7e5ff263, "_gpl");
SYMBOL_CRC(nla_get_labels, 0xde3cca7e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xf7709235, "rtnl_af_register" },
	{ 0xdd34f9ba, "__alloc_skb" },
	{ 0x061e01a1, "rtnl_set_sk_err" },
	{ 0x4cf4ccb7, "rtnl_unicast" },
	{ 0x208b5d21, "nla_reserve_64bit" },
	{ 0x687ca407, "ip_valid_fib_dump_req" },
	{ 0x5c6d1c20, "__dev_get_by_index" },
	{ 0xacf4b90a, "ipv6_stub" },
	{ 0xd6d3de0d, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf737dd47, "nla_reserve_nohdr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf39e5413, "rtnl_af_unregister" },
	{ 0x1f6d3aeb, "sk_skb_reason_drop" },
	{ 0x87e274ea, "dev_remove_pack" },
	{ 0x81752619, "dev_get_by_index" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x3e446cb1, "skb_push" },
	{ 0xf936b5b5, "nla_put" },
	{ 0x6902b170, "__rtnl_register_many" },
	{ 0xcd279169, "nla_find" },
	{ 0xc427ebfd, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x09f61126, "ip_tunnel_encap_del_ops" },
	{ 0xfb8c9ad6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x4512844c, "__pskb_pull_tail" },
	{ 0x63f48875, "skb_trim" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x00aa1603, "xa_find" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0x86058222, "rtnl_notify" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xf769ea02, "skb_clone" },
	{ 0xe146c899, "dst_release" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0xbb0562d9, "dev_get_flags" },
	{ 0xfce8a68c, "__rtnl_unregister_many" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x47ce1ad5, "__kvmalloc_node_noprof" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0x5ae33bf5, "netlink_strict_get_check" },
	{ 0xd8397b21, "ip_tunnel_encap_add_ops" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xffa697d0, "__nlmsg_put" },
	{ 0x8cf1e5d5, "skb_gso_validate_network_len" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x86f845df, "consume_skb" },
	{ 0x5c12e8bd, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x7b6e1b84, "nla_reserve" },
	{ 0x579e0bf5, "rtnl_unregister_all" },
	{ 0xff26f45a, "neigh_xmit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x8997a510, "ip_route_output_flow" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xdc2ecabd, "pskb_expand_head" },
	{ 0x40625f40, "register_pernet_subsys" },
	{ 0x6cae6688, "register_net_sysctl_sz" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "ip_tunnel");


MODULE_INFO(srcversion, "8DBF9DCEB59700C37F54646");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
