#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xc9c958a4, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x7762499b, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0x8d8bddf8, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0xaa435909, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x88766b03, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0x17f3d88e, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0xc91db98e, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x368939e9, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0xeecd1dbc, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0xda19f8c5, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0x459c4b48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x40625f40, "register_pernet_subsys" },
	{ 0xfb8c9ad6, "unregister_pernet_subsys" },
	{ 0xe543cfcc, "nf_register_net_hooks" },
	{ 0xfb471f37, "seq_printf" },
	{ 0x806537ce, "seq_write" },
	{ 0x329a23bc, "nf_unregister_net_hooks" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xafa47153, "security_skb_classify_flow" },
	{ 0x3be36f6c, "__nf_ip6_route" },
	{ 0x1f6d3aeb, "sk_skb_reason_drop" },
	{ 0x12fdb083, "xfrm_lookup" },
	{ 0x71453ba3, "ip6_local_out" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x06c141ef, "skb_ensure_writable" },
	{ 0x91b7e757, "inet_proto_csum_replace4" },
	{ 0x6a828dde, "skb_copy_bits" },
	{ 0x2a7d6e61, "ip_route_me_harder" },
	{ 0x762d36de, "ip_local_out" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xf61fa620, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x43a96879, "nf_ct_tmpl_alloc" },
	{ 0xc936a583, "nf_ct_ext_add" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0xf13f6d3d, "proc_create_net_data" },
	{ 0xfd1ea14b, "nf_ct_tmpl_free" },
	{ 0x69e4fb2e, "__cookie_v6_check" },
	{ 0xdd34f9ba, "__alloc_skb" },
	{ 0xd8b40395, "skb_put" },
	{ 0xdc8e18e1, "ipv6_skip_exthdr" },
	{ 0x83a4e6fd, "nf_ct_seqadj_init" },
	{ 0x86f845df, "consume_skb" },
	{ 0xbce642df, "__cookie_v4_init_sequence" },
	{ 0x0cafb1c7, "__cookie_v6_init_sequence" },
	{ 0xbdb59c8a, "__cookie_v4_check" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "C1BDC301FE77D43A55D3BEA");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
