#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(sctp_get_sctp_info, "_gpl", "");
KSYMTAB_FUNC(sctp_for_each_endpoint, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_lookup_process, "_gpl", "");
KSYMTAB_FUNC(sctp_transport_traverse_process, "_gpl", "");
KSYMTAB_FUNC(sctp_do_peeloff, "", "");

SYMBOL_CRC(sctp_get_sctp_info, 0x40402737, "_gpl");
SYMBOL_CRC(sctp_for_each_endpoint, 0xd2b3ab65, "_gpl");
SYMBOL_CRC(sctp_transport_lookup_process, 0xea53233d, "_gpl");
SYMBOL_CRC(sctp_transport_traverse_process, 0x43b516e1, "_gpl");
SYMBOL_CRC(sctp_do_peeloff, 0x0470cc95, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7665a95b, "idr_remove" },
	{ 0x51e9483e, "inet_ctl_sock_create" },
	{ 0xd4c9fec9, "inet_ioctl" },
	{ 0x2887a8fc, "reuseport_add_sock" },
	{ 0x3f528903, "reuseport_select_sock" },
	{ 0x1ed10558, "proc_dostring" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x4c497dca, "sk_filter_trim_cap" },
	{ 0x08b38092, "perf_trace_buf_alloc" },
	{ 0x1dd8233a, "perf_trace_run_bpf_submit" },
	{ 0x672c8e7e, "fput" },
	{ 0xde46713d, "inet_accept" },
	{ 0xc2c855f8, "init_net" },
	{ 0xfab4f887, "crypto_shash_setkey" },
	{ 0xd6d3de0d, "skb_pull" },
	{ 0xecbd41a8, "inet_add_offload" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x7e51c0a7, "ip6_mtu" },
	{ 0x1f6d3aeb, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0x5fb024d4, "__SCK__tp_func_sk_data_ready" },
	{ 0xbbbdb782, "inet_add_protocol" },
	{ 0xedc72c93, "inet_shutdown" },
	{ 0x98085f4a, "sk_free" },
	{ 0x554573aa, "sock_wake_async" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8771e22a, "dev_get_by_index_rcu" },
	{ 0x954f099c, "idr_preload" },
	{ 0xfbe4e967, "inet_del_offload" },
	{ 0xe68efe41, "_raw_write_lock" },
	{ 0x4dfa8d4b, "mutex_lock" },
	{ 0x3e446cb1, "skb_push" },
	{ 0x35d53a6f, "__ip_queue_xmit" },
	{ 0x84bb2c52, "kmem_cache_free" },
	{ 0x8863c712, "__sk_mem_reclaim" },
	{ 0x770a5ae9, "fl6_update_dst" },
	{ 0x5a921311, "strncmp" },
	{ 0xdeea02df, "const_current_task" },
	{ 0x896c49d8, "proc_doulongvec_minmax" },
	{ 0xa4617368, "trace_event_reg" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xdd4d55b6, "_raw_read_unlock" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9a5dce5c, "rhashtable_walk_start_check" },
	{ 0xe590dea3, "sk_busy_loop_end" },
	{ 0x40235c98, "_raw_write_unlock" },
	{ 0x45ec59b6, "ns_capable" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xa9e7357b, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x944375db, "_totalram_pages" },
	{ 0x2940b5fc, "inet6_ioctl" },
	{ 0x94a8e2a0, "skb_copy_datagram_iter" },
	{ 0x9cd7551a, "rhashtable_walk_stop" },
	{ 0x2a59e6a5, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x91f44510, "idr_alloc_cyclic" },
	{ 0xe3b556aa, "sk_alloc" },
	{ 0x3dabf271, "memcg_sockets_enabled_key" },
	{ 0xfb8c9ad6, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xcf5ee6aa, "ip6_dst_lookup_flow" },
	{ 0x7f6cee89, "rhashtable_free_and_destroy" },
	{ 0xcc8dd740, "sock_no_socketpair" },
	{ 0xfb578fc5, "memset" },
	{ 0xb202f0d7, "rht_bucket_nested_insert" },
	{ 0xe04060d2, "udp_tunnel_sock_release" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x26fa2922, "kmem_cache_alloc_noprof" },
	{ 0x9d0129f8, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x024a0efe, "sock_no_mmap" },
	{ 0xd9a5ea54, "__init_waitqueue_head" },
	{ 0x4512844c, "__pskb_pull_tail" },
	{ 0x4fcef7df, "__kmem_cache_create_args" },
	{ 0xf2520527, "setup_udp_tunnel_sock" },
	{ 0xfcb05a6d, "udp_sock_create6" },
	{ 0x63f48875, "skb_trim" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x582a951e, "sk_common_release" },
	{ 0x7550c795, "pv_ops" },
	{ 0x8987215e, "bpf_trace_run3" },
	{ 0xe0313d71, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x7ab714b5, "inet6_getname" },
	{ 0x421e6e0d, "sock_i_ino" },
	{ 0x50713b95, "inet6_sock_destruct" },
	{ 0x0dee6953, "cpu_number" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x741aa3d2, "__preempt_count" },
	{ 0xed1a5f04, "ip6_xmit" },
	{ 0xbaab289c, "security_sctp_assoc_request" },
	{ 0xd1e3859e, "inet_del_protocol" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xac75ae92, "ipv4_mtu" },
	{ 0x8d2f7c81, "rhltable_init_noprof" },
	{ 0x87801d9f, "pcpu_alloc_noprof" },
	{ 0x4cf68367, "skb_set_owner_w" },
	{ 0xdf521442, "_find_next_zero_bit" },
	{ 0xf271014f, "trace_event_buffer_reserve" },
	{ 0x440f58ea, "__skb_checksum" },
	{ 0x7a668570, "reuseport_alloc" },
	{ 0xbd103d41, "inet6_register_protosw" },
	{ 0xae316c11, "icmpv6_err_convert" },
	{ 0x3213f038, "mutex_unlock" },
	{ 0xd88cd473, "inet6_release" },
	{ 0xc622556f, "prepare_to_wait_exclusive" },
	{ 0xe138fb8c, "percpu_counter_add_batch" },
	{ 0x99c5f8e3, "inet_sendmsg" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x6fcad1c1, "param_ops_bool" },
	{ 0xa843805a, "get_unused_fd_flags" },
	{ 0x311fb02e, "crc32c_shift" },
	{ 0xcbfbd270, "ipv6_dup_options" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x806537ce, "seq_write" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x98cf191a, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x3e31a84e, "udp_tunnel_xmit_skb" },
	{ 0x950022ed, "validate_usercopy_range" },
	{ 0x56470118, "__warn_printk" },
	{ 0xfb471f37, "seq_printf" },
	{ 0xe0112fc4, "__x86_indirect_thunk_r9" },
	{ 0x5185b7c8, "proc_create_net_single" },
	{ 0xb397b696, "skb_copy" },
	{ 0xf769ea02, "skb_clone" },
	{ 0x8cee5a18, "inet_sk_set_state" },
	{ 0x0c3690fc, "_raw_spin_lock_bh" },
	{ 0xe146c899, "dst_release" },
	{ 0xecc64a3a, "_copy_from_iter" },
	{ 0xfe8c61f0, "_raw_read_lock" },
	{ 0xd3134401, "sock_release" },
	{ 0xc07351b3, "__SCT__cond_resched" },
	{ 0x8b5e2c39, "inet_recv_error" },
	{ 0xf943375f, "proc_dointvec" },
	{ 0xfdf21a1a, "sock_gettstamp" },
	{ 0x15ee9321, "security_sctp_bind_connect" },
	{ 0x54651f9b, "rhashtable_walk_next" },
	{ 0x4ce9be02, "_proc_mkdir" },
	{ 0xb3df2cb0, "crc32c_arch" },
	{ 0x54f69967, "sk_setup_caps" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x812305d1, "send_sig" },
	{ 0x1a3d69fc, "unregister_net_sysctl_table" },
	{ 0x0362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xad73041f, "autoremove_wake_function" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0x953cd2f7, "inet6_add_protocol" },
	{ 0x079f84f0, "from_kuid_munged" },
	{ 0xf1de4acb, "ip_setsockopt" },
	{ 0x0cd5835b, "ipv6_flowlabel_exclusive" },
	{ 0x43f9b1db, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xcead55fc, "ipv6_getsockopt" },
	{ 0x754d539c, "strlen" },
	{ 0x1a56484b, "reuseport_detach_sock" },
	{ 0xe4f296db, "ip_getsockopt" },
	{ 0xaad0ae78, "__bitmap_shift_right" },
	{ 0xce93953a, "iov_iter_revert" },
	{ 0x688e72e1, "__SCT__preempt_schedule_notrace" },
	{ 0x68c07277, "crypto_alloc_shash" },
	{ 0xb5b54b34, "_raw_spin_unlock" },
	{ 0xccf69887, "get_free_pages_noprof" },
	{ 0xafae8765, "ipv4_dst_check" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x85d120e3, "trace_handle_return" },
	{ 0xf188a662, "rhashtable_walk_exit" },
	{ 0xd4ec10e6, "BUG_func" },
	{ 0x49045426, "icmp_err_convert" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xbb20eca2, "sock_init_data" },
	{ 0x61f95f3d, "kmalloc_caches" },
	{ 0xd5d5a897, "kmem_cache_destroy" },
	{ 0xaad46ee9, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x693f5555, "skb_queue_head" },
	{ 0x3eca0c01, "proc_dointvec_minmax" },
	{ 0xa8e407c6, "inet_recvmsg" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x27ff6df8, "sock_i_uid" },
	{ 0x4adece92, "ip6_dst_check" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0xda9838fd, "inet_addr_type_table" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x194bca08, "sock_kmemdup" },
	{ 0x506dff1a, "__genradix_free" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x27fa66e1, "nr_free_buffer_pages" },
	{ 0x6a828dde, "skb_copy_bits" },
	{ 0x80a5888c, "inet_unregister_protosw" },
	{ 0x20978fb9, "idr_find" },
	{ 0xfba7a5f5, "__get_random_u32_below" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x73e1f469, "sock_wfree" },
	{ 0xd8b40395, "skb_put" },
	{ 0x916aefbe, "__percpu_counter_init_many" },
	{ 0xf7ef089c, "__fl6_sock_lookup" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x6a5cc518, "__kmalloc_noprof" },
	{ 0x8a58c0c4, "ip6_dst_hoplimit" },
	{ 0x86f845df, "consume_skb" },
	{ 0x63beaef1, "inet6_add_offload" },
	{ 0x5abfd6f7, "crypto_shash_tfm_digest" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x65ea8d49, "inet6_bind" },
	{ 0x1c9e978f, "memdup_user" },
	{ 0x3d5ad45d, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0x9df9bb41, "l3mdev_fib_table_by_index" },
	{ 0x041290c4, "udp_sock_create4" },
	{ 0x48d88a2c, "__SCT__preempt_schedule" },
	{ 0xb4f6d03b, "skb_dequeue" },
	{ 0x21ea5251, "__bitmap_weight" },
	{ 0x351faf49, "inet6_unregister_protosw" },
	{ 0x43e3c744, "crc32c_csum_stub" },
	{ 0xd6f8a13f, "__trace_trigger_soft_disabled" },
	{ 0x92540fbf, "finish_wait" },
	{ 0xe8aa05b1, "__skb_ext_del" },
	{ 0x3866ecd2, "skb_segment" },
	{ 0x3bb940e2, "trace_event_printf" },
	{ 0xfccce905, "__ip_dev_find" },
	{ 0xb05a45bf, "this_cpu_off" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0x84117731, "udp_tunnel6_xmit_skb" },
	{ 0xdc3f38f4, "sock_common_getsockopt" },
	{ 0x07d07fd4, "inet_bind" },
	{ 0x2ad5b965, "sock_create" },
	{ 0xfa9a0dd1, "net_hotdata" },
	{ 0x93fdfa82, "__kmalloc_node_track_caller_noprof" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0xdb2e4f7d, "percpu_counter_destroy_many" },
	{ 0xd5fd90f1, "prepare_to_wait" },
	{ 0xca50dc6d, "fd_install" },
	{ 0x52473e3f, "trace_event_raw_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0xf5a20ed2, "__genradix_prealloc" },
	{ 0x037a0cba, "kfree" },
	{ 0x130f5508, "inet_register_protosw" },
	{ 0xaeb082ad, "_raw_read_unlock_bh" },
	{ 0x8dee722d, "_raw_read_lock_bh" },
	{ 0x044f0ad9, "get_random_u16" },
	{ 0x1945753d, "__xfrm_policy_check" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x1ea38be0, "security_sctp_assoc_established" },
	{ 0xca9d74f5, "__tracepoint_sk_data_ready" },
	{ 0x021eaa4b, "bpf_trace_run2" },
	{ 0x4d61709f, "sock_common_setsockopt" },
	{ 0x40f3a7b0, "remove_proc_subtree" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xe2964344, "__wake_up" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x8997a510, "ip_route_output_flow" },
	{ 0xe5ce1a56, "rhashtable_walk_enter" },
	{ 0x24a4bc45, "__sk_mem_schedule" },
	{ 0x9f2f5b5d, "ipv6_setsockopt" },
	{ 0xd2800691, "nf_conntrack_destroy" },
	{ 0xd6f6c713, "sock_alloc_file" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xba8fbd64, "_raw_spin_lock" },
	{ 0xf13f6d3d, "proc_create_net_data" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x3f4547a7, "put_unused_fd" },
	{ 0x4152a959, "sk_error_report" },
	{ 0x40625f40, "register_pernet_subsys" },
	{ 0xcf3d6332, "put_cmsg" },
	{ 0xb92a190e, "trace_event_buffer_commit" },
	{ 0x9feed7ce, "timer_reduce" },
	{ 0x6cae6688, "register_net_sysctl_sz" },
	{ 0x87bc7158, "inet_sock_destruct" },
	{ 0x6b7ca4c4, "crypto_destroy_tfm" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x0b5725c3, "inet_sk_get_local_port_range" },
	{ 0x8c46e436, "inet6_del_protocol" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0x92997ed8, "_printk" },
	{ 0x3752fe5e, "inet_getname" },
	{ 0xdc50aae2, "__ref_stack_chk_guard" },
	{ 0x59a6e122, "proto_unregister" },
	{ 0xe887c24f, "security_sctp_sk_clone" },
	{ 0xf5edea2e, "___ratelimit" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x54e6fcdd, "net_enable_timestamp" },
	{ 0x7a5a8d85, "__sock_recv_cmsgs" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xe46021ca, "_raw_spin_unlock_bh" },
	{ 0x7682ba4e, "__copy_overflow" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0xdd34f9ba, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x50f91491, "__genradix_ptr" },
	{ 0xcc63645d, "inet_release" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xc3699142, "proto_register" },
	{ 0x6115d881, "skb_copy_expand" },
	{ 0xba220db7, "__wake_up_sync_key" },
	{ 0x7af6bbdb, "inet6_compat_ioctl" },
	{ 0xadd139d4, "rfs_needed" },
	{ 0x29604158, "napi_busy_loop" },
	{ 0x10ec8f68, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "D1F2963B3F6B71A9ABB54EC");

MODULE_INFO(suserelease, "openSUSE Tumbleweed");
